
// keyinput.hpp - inteface for keyboard callbacks for "hairline" stroking algorithm testbed

#ifndef __keyinput_hpp__
#define __keyinput_hpp__

extern void special(int key, int x, int y);
extern void keyboard(unsigned char c, int x, int y);

extern void updateAnimation();

extern bool force_analyze;  // F1 latches
extern bool force_at_least_one;  // F2 toggles

extern float w_scale;  // Up/Down arrow

#endif // __keyinput_hpp__
